use yew::prelude::*;

use super::{BadgeInfo, BADGE_INFO_LIST};

#[function_component]
pub fn Footer() -> Html {
    let badges = BADGE_INFO_LIST.iter().map(BadgeInfo::create_badge_html);
    html! {
        <footer class="footer">
            <div class="footer-background">
            <div class="badge-list">
            {for badges}
            </div>
            </div>
        </footer>
    }
}
